package com.goafanti.demand.bo;

import java.math.BigDecimal;
import java.util.Date;

import com.goafanti.common.enums.DemandTypeEnum;

public class DemandListBo extends InputDemand{
	//industryCategoryA String 映射
	private String		industryCategory1;
	//industryCategoryB String 映射
	private String		industryCategory2;
	//industryCategoryC String 映射
	private String		industryCategory3;
	//是否精品 0-false 1-true
	private Integer 	boutique;
	
	//demandType String 映射
	private String	demandTypeS;
	//有效期
	private Date	validityPeriod;
	
	//是否关注
	private String 	interest;
	//关注数量
	private String countInterest;
	//企业名称
	private String employerName;
	private BigDecimal fundForPersonnel;
	private BigDecimal fundForCrowd;
	
	public String getDemandTypeS() {
		return demandTypeS;
	}

	public void setDemandTypeS(String demandTypeS) {
		this.demandTypeS = demandTypeS;
	}

	public String getEmployerName() {
		return employerName;
	}

	public void setEmployerName(String employerName) {
		this.employerName = employerName;
	}

	public BigDecimal getFundForPersonnel() {
		return fundForPersonnel;
	}

	public void setFundForPersonnel(BigDecimal fundForPersonnel) {
		this.fundForPersonnel = fundForPersonnel;
	}

	public BigDecimal getFundForCrowd() {
		return fundForCrowd;
	}

	public void setFundForCrowd(BigDecimal fundForCrowd) {
		this.fundForCrowd = fundForCrowd;
	}

	public String getCountInterest() {
		return countInterest;
	}

	public void setCountInterest(String countInterest) {
		this.countInterest = countInterest;
	}

	public String getInterest() {
		return interest;
	}

	public void setInterest(String interest) {
		this.interest = interest;
	}

	public Integer getBoutique() {
		return boutique;
	}

	public void setBoutique(Integer boutique) {
		this.boutique = boutique;
	}

	public String getDemandTypeString() {
		return demandTypeS;
	}

	public void setDemandTypeString(String demandTypeString) {
		this.demandTypeS = demandTypeString;
	}

	public Date getValidityPeriod() {
		return validityPeriod;
	}

	public void setValidityPeriod(Date validityPeriod) {
		this.validityPeriod = validityPeriod;
	}

	public String getIndustryCategory1() {
		return industryCategory1;
	}

	public void setIndustryCategory1(String industryCategory1) {
		this.industryCategory1 = industryCategory1;
	}

	public String getIndustryCategory2() {
		return industryCategory2;
	}

	public void setIndustryCategory2(String industryCategory2) {
		this.industryCategory2 = industryCategory2;
	}

	public String getIndustryCategory3() {
		return industryCategory3;
	}

	public void setIndustryCategory3(String industryCategory3) {
		this.industryCategory3 = industryCategory3;
	}

	@Override
	public void setDemandType(Integer demandType) {
		// TODO Auto-generated method stub
		super.setDemandType(demandType);
		setDemandTypeS(DemandTypeEnum.find(demandType.intValue()).getName());
		
	}
	

	
	

}
